import { firestore } from 'firebase';
export declare class BbListing {
    listingPath: string;
    history: any;
    listingSnaphot: firestore.DocumentSnapshot;
    overlay: {
        kind: '' | 'spinner' | 'contact' | 'media';
        selected?: number;
    };
    message: {
        name: string;
        email: string;
        telephone: string;
        content: string;
    };
    get listingId(): string;
    componentDidLoad(): Promise<void>;
    sendMessage: () => Promise<void>;
    render(): any;
}
